Bug 134496 - Including mod_authz_ldap rpm causes authentication to fail
Including mod_authz_ldap rpm causes authentication to fail
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mod_authz_ldap (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-03 22:40 EDT by Penelope Fudd
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.26-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 12:34:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Penelope Fudd 2004-10-03 22:40:29 EDT
Description of problem:
I set up a test server yesterday, installed a test copy of our
website, copied the configuration directories straight over, and tried
to use it.  Our site uses basic authentication and .htpasswd files. 
When going to the site, it asks for a password.  When given the
correct password, it gives an authentication failure, but *doesn't*
ask for username and password again, even if you reload.  You must
quit your browser (lynx in this case) to try again.

Version-Release number of selected component (if applicable):
mod_authz_ldap-0.26-1.i386.rpm


How reproducible:
Every time.

Steps to Reproduce:
1. Install httpd and every mod_* rpm you can find.
2. Set up an authenticated web site using basic authentication and files.
3. Try to go to the web site.
  
Actual results:
Endless 'authentication denied', even with the right password.

Expected results:
Logging into the web site.

Additional info:
I troubleshot this by doing 'rpm -qf' on each config file in
/etc/httpd/conf.d and 'rpm -e' on each listed module until the problem
went away, then added back each module until the problem came back. 
Note, 'service httpd restart' may not be enough; I used 'service httpd
stop; service httpd start' for thorough restarting.
Comment 1 Joe Orton 2004-10-04 12:34:29 EDT
Thanks for the report and thanks for tracking down the errant module!

This is fixed in 0.26-2 in Raw Hide.

Note You need to log in before you can comment on or make changes to this bug.